﻿@{
    ViewBag.Title = "About Us";
    Layout = "~/Views/Shared/_Layout.cshtml";
                // var news = Model.GetNews.First();
   
}
<script type="text/javascript">

    function supressShiftEnter(e) {
        //shift enter is pressed
        var evtobj = window.event ? event : e
        if (event.keyCode == 13 && evtobj.shiftKey) {
            var form = evtobj.srcElement.form;
            //try to submit the form
            try {
                if (typeof form.submit == 'function')
                    form.submit();
                else
                    form.submit.click();
            }
            finally {
                return false;
            }
        }
        return true;
    }

    function handleShiftEnter(parId) {
        var textArea = document.getElementById(parId);
        if (textArea.addEventListener) {  // all browsers except IE before version 9
            textArea.addEventListener("keypress", function () { supressShiftEnter(textArea) }, false);
            textArea.addEventListener("keydown", function () { supressShiftEnter(textArea) }, false);
        }
        else {
            if (textArea.attachEvent) {   // IE before version 9
                textArea.attachEvent("onkeypress", function () { supressShiftEnter(textArea) });
                textArea.attachEvent("onkeydown", function () { supressShiftEnter(textArea) });
            }
        }
    }

</script>

<div class="content">
    <div class="left_content" style="margin: auto; float: none;">
        <div class="login_box">
            <h2 style="text-align: center">Unlock</h2>
            <!-- Main Login Area -->
            @using (Html.BeginForm("UnlockApp", "Unlock", FormMethod.Post))
            {
                @Html.ValidationSummary(true) 
                <div class="login_box_name">Username</div>
                <div class="login_box_field">
                    <div class="form-login" style="background-color: transparent; border-style: hidden; height: 14px;">
                        @Session["Username"]
                    </div>
                    <input id="txtUserName" name="Username" type="hidden" value="@Session["username"]" style="visibility:collapse" />
                    <input name="ReturnUrl" type="hidden" value="@ViewBag.ReturnUrl" style="visibility:collapse" />
                </div>
                <div class="login_box_name">Password</div>
                <div class="login_box_field">
                    <input id="txtPassword" name="password" type="password" class="form-login" title="Password" value=""
                        size="30" maxlength="2048" style="vertical-align: middle; height: 18px;" keypress="supressShiftEnter" onfocus="handleShiftEnter('txtPassword')" />
                </div>
                                
                <div class="login_button">
                    @Html.DevExpress().Button(
                                        settings =>
                                        {
                                            settings.Name = "cmdUnlock";
                                            settings.Text = "Unlock";
                                            settings.ControlStyle.Font.Bold = true;
                                            settings.Width = 100;
                                            settings.Height = 35;
                                            settings.UseSubmitBehavior = true;
                                            settings.ClientSideEvents.GotFocus = "handleShiftEnter('cmdUnlock')";
                                        }
                                    ).GetHtml()
                </div>
                <div style="text-align: center; width: 100%;" class="login_error">

                    @if (Session["ErrorMessage"] != null && Session["ErrorMessage"].ToString().Trim() != "")
                    {
                        <img src="@Url.Content("~/Content/images/warningErrSmall.png")" name="imgErr" border="0" id="imgErr" align=top />
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "lblErrorLogin";
                                settings.Text = (string)Session["ErrorMessage"];
                                //settings.ControlStyle.ForeColor = System.Drawing.Color.FromArgb(0x69, 0x0C, 0x06);
                                settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                                settings.ControlStyle.Font.Italic = true;
                                settings.ControlStyle.Font.Size = 11;
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                                //settings.ControlStyle.Font.Bold = true;
                                //settings.ControlStyle.BackColor = System.Drawing.Color.White;

                            }
                        ).GetHtml()
                    }

                </div>
            }
            <!-- Main Login Area Ends here-->

        </div>
    </div>
</div>
